package com.rjconsultores.ventaboletos.web.utilerias.render;

import org.zkoss.zul.Listcell;
import org.zkoss.zul.Listitem;
import org.zkoss.zul.ListitemRenderer;

import com.rjconsultores.ventaboletos.entidad.Cliente;

public class RenderClienteConvenio implements ListitemRenderer {

	@Override
	public void render(Listitem lstm, Object clienteSelected) throws Exception {
		Listcell lc = new Listcell();
		
		if(clienteSelected != null) {
			Cliente cliente = (Cliente) clienteSelected;
			
			lc = new Listcell(cliente.getClienteId().toString());
			lc.setParent(lstm);
			lc = new Listcell(cliente.getNombcliente() != null ? cliente.getNombcliente() : "");
			lc.setParent(lstm);
			lc = new Listcell(cliente.getNumIdentificaUno() != null ? cliente.getNumIdentificaUno() : "");
			lc.setParent(lstm);
			
			lstm.setAttribute("data", cliente);
		}
	}
}